All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.serverprop
Class Category

    com.sas.iquery.metadata.serverprop.Category

All Implemented Interfaces:
  LocalizableNamedObjectInterface, NamedObjectInterface, com.sas.util.LocalizableToStringInterface, java.lang.Comparable<Category>

    @SASScope(value="ALL")
    @SubjectToChange
    @ThreadSafe
    public class Category

implements java.lang.Comparable<Category>, LocalizableNamedObjectInterface

Defines categories or groupings of function and operator definitions that are found within a ServerProperties object. These categories are used to retrieve the sets of those functions or operators from the ServerProperties object.

Field Summary
`static Category` | `CAT_AGGREGATE` Aggregating functions category
`static Category` | `CAT_ALL` All functions and operators category
`static Category` | `CAT_COMPARISON` Comparison operators category
`static Category` | `CAT_CONDITIONAL` Conditional operators category
`static Category` | `CAT_COUNTING_AGGREGATE` Counting aggregating functions category
`static Category` | `CAT_FUNCTIONS` Functions (but no operators) category
`static Category` | `CAT_LANGUAGE_SYNTAX` Language syntax operators category
`static Category` | `CAT_LOGICAL` Logical operators category
`static Category` | `CAT_NONCOUNTING_AGGREGATE` Noncounting aggregating functions
`static Category` | `CAT_OPERATORS` Operators category
`static Category` | `CAT_SCALAR` Scalar operators category

Method Summary
`int` | `compareTo(Category cat)` Implementation of this method required by the Comparable interface that compares this type of object based on an internally represented form.
`java.lang.String` | `getDescription()` Returns this category's description for display purposes.
`java.lang.String` | `getDescription(java.util.Locale locale)` Returns a description for this object for a specific locale, typically for display purposes.
`com.sas.util.LocalizableString` | `getDescriptions()` Returns the entire set of descriptions for this object for all locales, typically for display purposes.
`java.lang.String` | `getLabel()` Returns this category's label for display purposes.
`java.lang.String` | `getLabel(java.util.Locale locale)` Returns a label for this object for a specific locale, typically for display purposes.
`com.sas.util.LocalizableString` | `getLabels()` Returns the entire set of labels for this object for all locales, typically for display purposes.

Field Detail

*** This field is subject to change. ***

### CAT_ALL

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_ALL

  All functions and operators category

*** This field is subject to change. ***

### CAT_FUNCTIONS

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_FUNCTIONS

  Functions (but no operators) category

*** This field is subject to change. ***

### CAT_AGGREGATE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_AGGREGATE

  Aggregating functions category

*** This field is subject to change. ***

### CAT_COUNTING_AGGREGATE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_COUNTING_AGGREGATE

  Counting aggregating functions category

*** This field is subject to change. ***

### CAT_NONCOUNTING_AGGREGATE

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_NONCOUNTING_AGGREGATE

  Noncounting aggregating functions

*** This field is subject to change. ***

### CAT_OPERATORS

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_OPERATORS

  Operators category

*** This field is subject to change. ***

### CAT_SCALAR

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_SCALAR

  Scalar operators category

*** This field is subject to change. ***

### CAT_CONDITIONAL

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_CONDITIONAL

  Conditional operators category

*** This field is subject to change. ***

### CAT_LOGICAL

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_LOGICAL

  Logical operators category

*** This field is subject to change. ***

### CAT_COMPARISON

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_COMPARISON

  Comparison operators category

*** This field is subject to change. ***

### CAT_LANGUAGE_SYNTAX

    @SASScope(value="ALL")
    @SubjectToChange
    public static final Category CAT_LANGUAGE_SYNTAX

  Language syntax operators category

Method Detail

*** This method is subject to change. ***

### getLabel

    @SASScope(value="ALL")
    @SubjectToChange
    public java.lang.String getLabel()

  Returns this category's label for display purposes.

  Specified by:
    `getLabel` in interface `NamedObjectInterface`
  Returns:
    String a label or null if not set

*** This method is subject to change. ***

### getDescription

    @SASScope(value="ALL")
    @SubjectToChange
    public java.lang.String getDescription()

  Returns this category's description for display purposes.

  Specified by:
    `getDescription` in interface `NamedObjectInterface`
  Returns:
    a description or null if not set

*** This method is subject to change. ***

### compareTo

    @SASScope(value="ALL")
    @SubjectToChange
    public int compareTo(Category cat)

  Implementation of this method required by the Comparable interface that compares this type of object based on an internally represented form.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Category>`
  Parameters:
    `cat` - the Object to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

*** This method is subject to change. ***

### getLabels

    @SASScope(value="ALL")
    @SubjectToChange
    public com.sas.util.LocalizableString getLabels()

  Description copied from interface: `LocalizableNamedObjectInterface`
  Returns the entire set of labels for this object for all locales, typically for display purposes.

  Specified by:
    `getLabels` in interface `LocalizableNamedObjectInterface`
  Returns:
    a copy of the LocalizableString containing the labels
  See Also:
    `LocalizableNamedObjectInterface.getLabels()`

*** This method is subject to change. ***

### getDescriptions

    @SASScope(value="ALL")
    @SubjectToChange
    public com.sas.util.LocalizableString getDescriptions()

  Description copied from interface: `LocalizableNamedObjectInterface`
  Returns the entire set of descriptions for this object for all locales, typically for display purposes. A description is intended to provide a longer worded phrase than the label itself.

  Specified by:
    `getDescriptions` in interface `LocalizableNamedObjectInterface`
  Returns:
    a copy of the LocalizableString containing the descriptions
  See Also:
    `LocalizableNamedObjectInterface.getDescriptions()`

*** This method is subject to change. ***

### getLabel

    @SASScope(value="ALL")
    @SubjectToChange
    public java.lang.String getLabel(java.util.Locale locale)

  Description copied from interface: `LocalizableNamedObjectInterface`
  Returns a label for this object for a specific locale, typically for display purposes.

  Specified by:
    `getLabel` in interface `LocalizableNamedObjectInterface`
  Parameters:
    `locale` - the Locale of the label, null will use Locale.getDefault()
  Returns:
    String the label for the given locale or the same as getLabel() if no label set for the locale
  See Also:
    `LocalizableNamedObjectInterface.getLabel(java.util.Locale)`

*** This method is subject to change. ***

### getDescription

    @SASScope(value="ALL")
    @SubjectToChange
    public java.lang.String getDescription(java.util.Locale locale)

  Description copied from interface: `LocalizableNamedObjectInterface`
  Returns a description for this object for a specific locale, typically for display purposes. A description is intended to provide a longer worded phrase than the label itself.

  Specified by:
    `getDescription` in interface `LocalizableNamedObjectInterface`
  Parameters:
    `locale` - the Locale of the description, null will use Locale.getDefault()
  Returns:
    String the description for the given locale or the same as getDescription() if no description set for the locale
  See Also:
    `LocalizableNamedObjectInterface.getDescription(java.util.Locale)`

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.